#include <allegro.h>

int main(void)
{
    int i;

    allegro_init();

    install_keyboard();

    if (set_gfx_mode(GFX_AUTODETECT, 320, 200, 0, 0) < 0) {
	allegro_message("Couldn't set gfx mode: %s\n", allegro_error);
	exit(1);
    }
    // This hides temporarily what we are drawing
    set_palette(black_palette);

    clear(screen);
    for (i = 16 * 10; i > 0; i--)
	circlefill(screen, SCREEN_W / 2, SCREEN_H - 1, i, i / 10);

    for (i = 1; i <= 64; i *= 2) {
	fade_in(desktop_palette, i);
	fade_out(i);
    }

    return 0;
}
END_OF_MAIN()

