// Header containing standard reusable functions to move a circle

typedef struct circle_t CIRCLE_T;

struct circle_t {
  int x,y,r;         // x, y, radius
  int col;           // colour
  int xs,ys;         // x speed, y speed
  int dx,dy;         // drawn x, drawn y
  };

void circle_init(int new_x, int new_y, int new_radius,
                 int new_col, int new_xs, int new_ys, CIRCLE_T *temp);
void circle_draw (CIRCLE_T *circle, BITMAP *bmp);
void circle_update (CIRCLE_T *circle);
void circle_erase (CIRCLE_T *circle, BITMAP *bmp);
