#include <allegro.h>

int main(void)
{
    int i;

    allegro_init();

    install_keyboard();

    if (set_gfx_mode(GFX_AUTODETECT, 320, 200, 0, 0) < 0) {
	allegro_message("Couldn't set gfx mode: %s\n", allegro_error);
	exit(1);
    }

    clear(screen);
    textout(screen, font, "The program will show some dots, then", 0, 0, 15);
    textout(screen, font, "wait a keypress. After sucesive", 0, 10, 15);
    textout(screen, font, "keypresses the screen will be cleared to", 0, 20, 15);
    textout(screen, font, "different colors.", 0, 30, 15);
    textout(screen, font, "Press any key to begin.", 0, 40, 15);

    readkey();

    // Now prepare for some random dots...

    for (i = 0; i < 64000; i++) {
	putpixel(screen, rand() % SCREEN_W, rand() % SCREEN_H, rand() % 256);
    }

    readkey();

    for (i = 0; i < 16; i++) {
	clear_to_color(screen, i);
	readkey();
    }

    return 0;
}
END_OF_MAIN()
